import { RawMessageType } from '../app/pages/raw-message-output-tab';
import { ReadyState, SendMessage } from '../use-web-socket';
export interface UseEngineConnectionFactory {
    isConnected: boolean;
    connectionStatus: string;
    sendMessage: SendMessage;
    messages: RawMessageType[];
    lastMessage: string;
    readyState: ReadyState;
    resetMessages: () => void;
}
export interface UseEngineConnectionFactoryProps {
    engineConnectionValue: string | undefined;
    applicationValue: string | undefined;
    locale?: string;
    sttSampleRate?: number;
    outputMedia?: string;
}
export type PersonaMessage = {
    ref: string;
    name: string;
    avatarRef: string;
};
export declare function useEngineConnectionFactory(props: UseEngineConnectionFactoryProps): UseEngineConnectionFactory;
