export declare const DATE_TIME_FORMAT = "DD. MM. YYYY  HH:mm";
export declare enum LOCALE {
    en = "en-US",
    cs = "cs-CZ",
    de = "de-DE",
    es = "es-ES"
}
export declare const LOCALE_TRANSLATION: Record<LOCALE, string>;
export declare const localeEnum: {
    value: string;
    label: string;
}[];
export declare const ensureLongLocale: (_locale: string) => LOCALE;
export declare const DEFAULT_CLIENT_MODES: {
    chat: string;
    avatar: string;
};
