import { LOCALE } from '../../constants';
export interface AudioContextType {
    audioContextRef?: React.MutableRefObject<AudioContext>;
    gainNodeRef?: React.MutableRefObject<GainNode>;
    audioStreamRef?: React.MutableRefObject<MediaStream | undefined>;
    audioBufferSourceNodeRef?: React.MutableRefObject<AudioBufferSourceNode | undefined>;
    locale: LOCALE;
    setLocale: (locale: LOCALE) => void;
    startMicrophone: () => void;
    stopMicrophone: () => void;
    audioBufferQueueRef?: React.MutableRefObject<(ArrayBufferLike | string)[]>;
}
declare const WebClientAudioContext: import('react').Context<AudioContextType>;
export default WebClientAudioContext;
