export type UseHandleAudioStateProps = {
    onOpenRef: React.MutableRefObject<() => void>;
    onCloseRef: React.MutableRefObject<() => void>;
    audioContextRef: React.MutableRefObject<AudioContext> | undefined;
    audioBufferSourceNodeRef: React.MutableRefObject<AudioBufferSourceNode | undefined> | undefined;
};
export declare const useHandleAudioState: ({ audioBufferSourceNodeRef, audioContextRef, onCloseRef, onOpenRef, }: UseHandleAudioStateProps) => void;
