import { SendMessage } from '../../use-web-socket';
export type UseProcessMicrophoneInputProps = {
    sendMessage: SendMessage;
};
export declare const useProcessMicrophoneInput: ({ sendMessage, }: UseProcessMicrophoneInputProps) => {
    audioStream: MediaStream | undefined;
    analyzerData: {
        analyzer: AnalyserNode | null;
        bufferLength: number;
        dataArray: Uint8Array;
    };
};
