import { MultimodalityObjectWrapper, ProfileContentWrapper } from '../../multimodality/types';
export type ContentType<T> = T | undefined;
export interface MultimodalityContextType {
    isOpen: boolean;
    toggle: () => void;
    content: ContentType<MultimodalityObjectWrapper | ProfileContentWrapper>;
    setContent: (content: ContentType<MultimodalityObjectWrapper>) => void;
    open: () => void;
    close: () => void;
}
declare const MultimodalityContext: import('react').Context<MultimodalityContextType>;
export default MultimodalityContext;
