import { MultimodalityObject, MultimodalityObjectWrapper, MultimodalProps, ProfileContent, ProfileContentWrapper } from './types';
export declare const transformMultimodalityObjectToMultimodalProps: (multimodalityObject: MultimodalityObject) => MultimodalProps;
export declare const transformProfileContentToMultimodalProps: (profileContent: ProfileContent) => MultimodalProps;
export declare enum MultimodalityType {
    GrowthContent = "GrowthContent",
    Profile = "Profile",
    SetPersona = "SetPersona"
}
export declare const multimodalTransformer: (object: MultimodalityObjectWrapper | ProfileContentWrapper) => MultimodalProps | null;
