import { EventSourceEventHandlers, EventSourceOptions } from './types';
export declare const DEFAULT_OPTIONS: {};
export declare const EMPTY_EVENT_HANDLERS: EventSourceEventHandlers;
export declare const DEFAULT_EVENT_SOURCE_OPTIONS: EventSourceOptions;
export declare const SOCKET_IO_PING_INTERVAL: number;
export declare const SOCKET_IO_PATH = "/socket.io/?EIO=3&transport=websocket";
export declare const SOCKET_IO_PING_CODE = "2";
export declare const DEFAULT_RECONNECT_LIMIT = 20;
export declare const DEFAULT_RECONNECT_INTERVAL_MS = 5000;
export declare const UNPARSABLE_JSON_OBJECT: {};
export declare const DEFAULT_HEARTBEAT: {
    message: string;
    timeout: number;
    interval: number;
};
export declare enum ReadyState {
    UNINSTANTIATED = -1,
    CONNECTING = 0,
    OPEN = 1,
    CLOSING = 2,
    CLOSED = 3
}
export declare const isReactNative: boolean;
export declare const isEventSourceSupported: boolean;
